PHP 5.0.5 o L'ultimo rilascio per un sistema di produzione?

Ciao, spero di non essere fuori argomento, ma ho bisogno di questa informazione.

Dovendo iniziare un nuovo progetto e dovendo anche manutenere il server su cui girerà, vorrei conoscere i pro e i contro nel passare al PHP 5.1.2

Ora come ora, sul server gira una versione inferiore, che sembra non dia problemi ai vari applicativi che vi girano su. E' comunque una versione 5 e non già una 4.

Sto cercando delle informazioni riguardo ai problemi, anche derivanti dalla sicurezza, nel passare alla versione di rilascio attuale (5.1.2).

Ho letto l'ottima nota informativa al riguardo su questo setesso sito, e i problemi che vengono prospettati lì, li abbiamo già superati.

Considerando che il server è un server di produzione dove già operano molti altri utenti eterogenei, e non già una macchina mirata su un progetto, chiedo a chi ha già testato la nuova versone del PHP, se conosce problemi inerenti anche alla gestione di CMS come Joomla ad esempio o forum come Invision.

Non vorrei dopo un upgrade, trovarmi persone inviperite sotto casa.

Marco

inviato 10 anni fa
Marco Grazia
X 0 X

La versione 5.1.2 di PHP è sicuramente la migliore delle 5.x per sicurezza, stabilità e prestazioni. Quindi in generale mi sento di consigliarla per un server di produzione in cui si vuol far girare PHP 5.

La compatibilità con le applicazioni è però da verificare caso per caso. Ho provato personalmente Joomla ed SMF con PHP 5.1.2 senza rilevare problemi. Per tutti gli altri software ti consiglio di verificare i "requirements" direttamente dai siti ufficiali.

 :bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Purtroppo non posso verificare centinaia di software  :) e considerando che i clienti già esistenti, usano software anche datato, sicuramente i problemi ci saranno.

Magari se chi utilizza software sopratutto CMS, sa di qualche "idiosincrasia" tra questi e la versione 5.1.2 del PHP mi piacerebbe parlarne, così da verificare se ci sono problemi e di che entità e tipo siano.

risposto 10 anni fa
Marco Grazia
X 0 X

Ho un virtual server su areaserver su cui inizialmente avevano messo una versione 5.0.x di PHP ma poi è stata aggiornata alla 5.1.1. Non credo che abbiano fatto il passaggio senza preoccuparsi della compatibilità con gli script più diffusi.

 :bye:

risposto 10 anni fa
Gianni Tomasicchio
X 0 X

Ho un virtual server su areaserver su cui inizialmente avevano messo una versione 5.0.x di PHP ma poi è stata aggiornata alla 5.1.1. Non credo che abbiano fatto il passaggio senza preoccuparsi della compatibilità con gli script più diffusi.

 :bye:

E' proprio questo il punto, io non devo credere, io devo esserne certo, perché ho dei clienti e non posso deluderli, comunque controllerò ancora, non è che sia importante fare l'upgrade ora, ma è meglio pensare per tempo.

Marco.

risposto 10 anni fa
Marco Grazia
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda